package com.ruizheng.clw.mapper;


import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruizheng.clw.domain.CarInfo;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;


@Repository
public interface CarInfoMapper extends BaseMapper<CarInfo> {

    /**
     * 统计数据
     * @return
     */
    @DataSource(DataSourceType.SLAVE)
    Map<String, Long> statistics(@Param("deptIds") List<Long> deptIds);
}
