package com.ruoyi.common.exception.user;

public class PasswordRetryLimitExceedException extends RuntimeException {

    private Boolean needCode = false;

    public PasswordRetryLimitExceedException() {
        this.needCode = false;
    }

    public PasswordRetryLimitExceedException(String message, Boolean needCode) {
        super(message);
        this.needCode = needCode;
    }

    public Boolean getNeedCode() {
        return needCode;
    }

    public void setNeedCode(Boolean needCode) {
        this.needCode = needCode;
    }
}
